# Reclipboard Ver. 1.0
本アプリは、 テキストデータコピーを50個ため込むことができるWindows常駐アプリです。 コピー以外にもテンプレートテキストを10個作成でき、 コピーデータとテンプレート文字列は［Ctrl］2連打で呼び出せます。
## バグ修正・機能アップ
- 1.0.4.6 Windowsが和暦設定の場合コピーを登録できないバグを修正。 [Ctrl+Mouseクリック]時に連打判定されていたバグを修正
- 1.0.4 通常コピペなどのキー操作で意図せずメニューが出てしまう部分を修正。［Ctrl］連打インターバルを300㍉秒に変更
- 1.0.3 キーボード機種によっては［Ctrl］押しっぱなしで連打になるハードがあるので対応
- 1.0.3 定型文一覧編集画面でListView上からエンターキーで編集画面に移動できるように改良
## ■ インストール
Reclipboard*_*.zipを解凍し開きます。    
ReclipboardInstaller.msiと、 setup.exeの 2つのインストーラーが入っています。 .NET6が入っていない場合setup.exeを実行すると、 .NET6をダウンロードインストールします。     
.NET6 Desktop Runtime 及び .NET6 Runtime インストール済PCに本アプリをインストールする場合、 ReclipboardInstaller.msiのみを実行するとインストールできます。
インストールするとユーザーのスタートアップフォルダにショートカットが作成されます。 PCを再度ログインするもしくは、 再起動で本アプリが起動し常駐します。   
## ■ 利用方法
Reclipboardをインストールするとスタートアップにショートカットが作成されタスクバーに常駐されます。メモ帳などの別アプリから［Ctrl］2連打することでReclipboard専用メニューが表示されます。メニュー内から自分が過去にコピーした文字列を選択するとメモ帳など別アプリにペーストされます。
## ■ 定型文(テンプレート)登録方法
Reclipboardメニュ［設定］を選択するとTemplateリストが表示されます。リスト内右クリックで下記のメニューが出ます
- ［Add］定型文の登録
- ［Edit］定型文の編集
- ［Remove］定型文の削除

定型文登録するとメインメニューに［Template］という項目が追加され、定型文ペーストをすることができます。
## ■ 動作環境
Windows 10(11)で動作します。   
本アプリはインストール後、インターネットなどのネット接続はしません。従いましてオフライン作業で利用できます。   
## ■ コピーテキスト及び定型文データ保存場所
コピーしたテキスト及びテンプレート(定型文)の保存場所は、
ユーザーフォルダ(C:\Users\ユーザー名\AppData\Local\reclipboard.db)にSQLite形式で保存されています。すべて削除したい場合や、データが壊れた場合は、アプリを終了し このreclipboard.db を削除してください。

## ■ アンインストール
Reclipboardを常駐している場合メニューの［Quit］でアプリを終了します。   
［コントロールパネル］→［プログラムと機能］プログラムリストから「Reclipboard」を右クリックし アンインストールを選択

## ■ ソフトウェアの登録について
本ソフトは非営利で利用される方につきましては無料のフリーウェアとします。   
企業・会社などの商用利用、または団体利用でご利用の場合にはライセンス登録が必要です。   
登録方法につきましては、ヘルプの、
[企業や会社、商用でご利用の場合のライセンス登録について]
https://service.re-tool.co.jp/privacy
をご覧ください。

## ■ 連絡先 (サポート)
https://service.re-tool.co.jp/contact

## ■ Reclipboard の最新版の入手先
ベクター内


## ■ 著作権／転載など
著作権は 株式会社Retool が持っております。使用、転載、及び配布は自由にいただいてかまいませんが、パックされた内容の変更のないようにお願いします。   
  (転載後は事後でも連絡頂けると有り難いです)   
尚､ このプログラムの使用によって生じた損害等については作者は何も保証する義務を負わないこととさせて頂きます。   
バグ等についてはできる限りの対処をします。

## □ 利用・参考にしたソースコード
Nuget で下記のライブラリを利用しています
- Microsoft.Data.Sqlite
- Microsoft.Extensions.Configuration
- Microsoft.Extensions.Configuration.json
## □ その他の著作物
ボタンなどのアイコンはフリーの素材を利用しているものもあります。

